/* SPDX-License-Identifier: GPL-2.0+ */
/*
 * direct.h - CELLFS direct block pointer.
 *
 * Copyright (C) 2006-2008 Nippon Telegraph and Telephone Corporation.
 *
 * Written by Koji Sato.
 */

#ifndef _CELLFS_DIRECT_H
#define _CELLFS_DIRECT_H

#include <linux/types.h>
#include <linux/buffer_head.h>
#include "bmap.h"


#define CELLFS_DIRECT_NBLOCKS	(CELLFS_BMAP_SIZE / sizeof(__le64) - 1)
#define CELLFS_DIRECT_KEY_MIN	0
#define CELLFS_DIRECT_KEY_MAX	(CELLFS_DIRECT_NBLOCKS - 1)


int cellfs_direct_init(struct cellfs_bmap *);
int cellfs_direct_delete_and_convert(struct cellfs_bmap *, __u64, __u64 *,
				    __u64 *, int);


#endif	/* _CELLFS_DIRECT_H */
