#!/bin/sh

# try a command and die exit with an error on stderr
needs () {
    if ! command -v "$1" >/dev/null 2>&1; then
        echo "error: $1 is required" >&2
        exit 1
    fi
}

# die if the command fails
try () {
    if ! "$@"; then
        echo "error: $* failed" >&2
        exit 1
    fi
}

try test -f /lib/modules/$(uname -r)/kernel/fs/cellfs/cellfs.ko

needs modprobe
try modprobe cellfs && (lsmod | grep cellfs) && echo "CellFS-kmod: Loaded!"
cat /proc/filesystems
