#!/bin/bash

P=$0
D=$(dirname $P)
D=$(readlink -f $D)


die() {
  let rc="$1"
  shift
  echo "Error ($rc): $*" 1>&2
  exit $rc
}

main() {
  if [ $UID != 0 ]; then
    die 1 "You need to be root to run this"
  fi

  cd $D
  set -e # Exit on error
  echo "CellFS-kmod: Starting..."
  echo "CellFS-kmod: Cleaning" ; make clean
  echo "CellFS-kmod: Building"; make
  echo "CellFS-kmod: Installing"; make install
  echo "CellFS-kmod: Done!"
}


main "$@"
